# Modify Control

The modify control is a function in the [elements](/apphive-documentacion/reference/funciones/elements.md) functions which allows you to modify any element on the current screen, it could be a color, label, value, background color, etc.

![](/files/-M-juC5bqTfzKvl-sOKq)

​​ 📥 Entry vars

* **Data to send.** Enter the data to be modified on the control
* **Element.** Select the control you want to modify
* **Property to modify.** Pick the property to be modified on the control

{% hint style="info" %}
To make easier to identify the control to select you can rename the control name
{% endhint %}

### ​​ 👉 Example. <a href="#examples" id="examples"></a>

![](/files/-M2oC1NBrwMz9ILwQXZ5)

#### Modify a text on a button

1. Select the element and add a [modify control.](/apphive-documentacion/reference/funciones/elements/modify-control.md)
2. Add an unable in data to send.
3. Select the element text disabled to modify in the element input
4. Select text as the property to modify.

#### Modify a color on a button

1. Select the element and add a [modify control](/apphive-documentacion/reference/funciones/elements/modify-control.md).
2. Add a color value to modify the element.
3. Select the element button to modify in the element input.
4. Select style.background as the property to modify.

![When the user push the button it will change the color an the text.](/files/-M2oDo4XtBg_YGcN84DX)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/elements/modify-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
